#ifndef EsLeds_h
#define EsLeds_h

#include "Arduino.h"


class EsLeds
{
public:
  //iniciace knihovny - pinMode
	EsLeds();  
  //funkce pro zobrazeni barvy z konstanty
  //vlastne jenom aby zacatecnici nebyli zmateni tim RGB
	void showColor(byte color[3]);
  //funkce na zobrazeni barvy na LEDce
  //je shopna vzit i konstanty
	void showColorRGB(byte color[3]);
  
//konstanty jednotlivych barev
byte WHITE[3] = {255,255,255};
byte RED[3] = {255,0,0};
byte GREEN[3] = {0,255,0};
byte BLUE[3]= {0,0,255};
byte YELLOW[3]= {255,255,0};
byte MAGENTA[3]= {255,0,255};
byte CYAN[3]= {0,255,255};
byte BLACK [3]= {0,0,0};

//funkce pro obsluhu klasickych ledek
void setGreen(bool val);
void setRed(bool val);
void setOrange(bool val);

void greenOn();
void greenOff();
void redOn();
void redOff();
void orangeOn();
void orangeOf();
  

};

#endif