

#include "Arduino.h"

#include "EsLeds.h"

EsLeds::EsLeds(){

pinMode(13,OUTPUT);
pinMode(16,OUTPUT);
pinMode(17,OUTPUT);

}

  



void EsLeds::showColorRGB(byte color[3]){
  analogWrite(9,255-color[0]);
  analogWrite(5,255-color[1]);
  analogWrite(6,255-color[2]);
}

void EsLeds::showColor(byte color[3]){
  showColorRGB(color);
}

void EsLeds::setGreen(bool val){
digitalWrite(13,val);
}
void EsLeds::setRed(bool val){
digitalWrite(16,val);
}
void EsLeds::setOrange(bool val){
digitalWrite(17,val);

}
void EsLeds::greenOn(){
setGreen(true);
}
void EsLeds::greenOff(){
setGreen(false);
}
void EsLeds::redOn(){
setRed(true);
}
void EsLeds::redOff(){
setRed(false);
}
void EsLeds::orangeOn(){
setOrange(true);
}
void EsLeds::orangeOf(){
setOrange(false);
}