

#include "Arduino.h"

#include "EsTemp.h"

EsTemp::EsTemp(){
        pinMode(A1,INPUT);
}

  



float EsTemp::getKelvin(){
  
  int resVal = analogRead(A1);
   
  float res = (float)(1023-resVal)*10000/resVal;
  
  float kelvin = 1/(log(res/10000)/2975+1/298.15);
  
  return kelvin;
  
  
}

float EsTemp::getCelsius(){
      return getKelvin()-273.15;
}

float EsTemp::getFahrenheit(){
return 1.8*(getKelvin()-273)+32   ;
  
}

